---
title: disconnect-a-project-from-the-flags-of-this-project
product: vercel
url: /docs/rest-api/sdk/feature-flags/disconnect-a-project-from-the-flags-of-this-project
canonical_url: "https://vercel.com/docs/rest-api/sdk/feature-flags/disconnect-a-project-from-the-flags-of-this-project"
last_updated: 2026-11-03
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about disconnect-a-project-from-the-flags-of-this-project on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Disconnect a project from the flags of this project

```http
DELETE /v1/projects/{projectIdOrName}/feature-flags/connections/{consumerProjectId}
```

Disconnects a project from the flags of this project. The consumer loses access without a redeploy. Requires connection management permission on the source project; access to the consumer project is not required.

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `projectIdOrName` | string | Yes | The project id or name |
| `consumerProjectId` | string | Yes | The connected consumer project id |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Example request

```typescript
import { Vercel } from "@vercel/sdk";

const vercel = new Vercel({
  bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  await vercel.featureFlags.deleteFlagsProjectConnection({
    projectIdOrName: "<value>",
    consumerProjectId: "<id>",
    teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
    slug: "my-team-url-slug",
  });


}

run();
```

## Responses

### 204: No description

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 402: The account is missing a payment so payment method must be updated

### 403: You do not have permission to access this resource.

### 404: No description

### 409: No description

### 410: No description

### 503: No description

---

## Related

- [feature-flags endpoints](/docs/rest-api#feature-flags)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://vercel.com/openapi.json) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)


If you encounter incorrect information, can’t find what you need, need a capability Vercel doesn’t currently offer, or have any other feedback to report, please do it by following the instructions at https://vercel.com/feedback.md.
